<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:genmodel="http://www.eclipse.org/uml2/2.2.0/GenModel"
    modelDirectory="/org.eclipse.papyrus.designer.patterns.profile/src-gen"
    modelPluginID="org.eclipse.papyrus.designer.patterns.profile" modelName="DesignPatterns"
    nonNLSMarkers="true" rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container"
    importerID="org.eclipse.uml2.uml.ecore.importer" complianceLevel="5.0" copyrightFields="false"
    usedGenPackages="../../org.eclipse.emf.ecore/model/Ecore.genmodel#//ecore platform:/plugin/org.eclipse.uml2.types/model/Types.genmodel#//types platform:/plugin/org.eclipse.uml2.uml/model/UML.genmodel#//uml"
    operationReflection="true" importOrganizing="true">
  <genAnnotations source="http://www.eclipse.org/emf/2002/GenModel/importer/org.eclipse.uml2.uml.ecore.importer">
    <details key="OPPOSITE_ROLE_NAMES" value="IGNORE"/>
    <details key="DUPLICATE_FEATURES" value="DISCARD"/>
    <details key="ANNOTATION_DETAILS" value="PROCESS"/>
    <details key="PROPERTY_DEFAULT_EXPRESSIONS" value="IGNORE"/>
    <details key="DUPLICATE_FEATURE_INHERITANCE" value="DISCARD"/>
    <details key="COMMENTS" value="PROCESS"/>
    <details key="DERIVED_FEATURES" value="PROCESS"/>
    <details key="SUPER_CLASS_ORDER" value="PROCESS"/>
    <details key="DUPLICATE_OPERATION_INHERITANCE" value="DISCARD"/>
    <details key="REDEFINING_OPERATIONS" value="REPORT"/>
    <details key="INVARIANT_CONSTRAINTS" value="PROCESS"/>
    <details key="UNION_PROPERTIES" value="REPORT"/>
    <details key="DUPLICATE_OPERATIONS" value="DISCARD"/>
    <details key="NON_API_INVARIANTS" value="IGNORE"/>
    <details key="CAMEL_CASE_NAMES" value="IGNORE"/>
    <details key="SUBSETTING_PROPERTIES" value="REPORT"/>
    <details key="OPERATION_BODIES" value="IGNORE"/>
    <details key="ECORE_TAGGED_VALUES" value="PROCESS"/>
    <details key="UNTYPED_PROPERTIES" value="REPORT"/>
    <details key="REDEFINING_PROPERTIES" value="REPORT"/>
    <details key="INVOCATION_DELEGATES" value="IGNORE"/>
    <details key="VALIDATION_DELEGATES" value="IGNORE"/>
  </genAnnotations>
  <foreignModel>DesignPatterns.profile.uml</foreignModel>
  <genPackages xsi:type="genmodel:GenPackage" prefix="DesignPatterns" basePackage="org.eclipse.papyrus.designer.patterns"
      disposableProviderFactory="true" ecorePackage="DesignPatterns.ecore#/">
    <genEnums xsi:type="genmodel:GenEnum" typeSafeEnumCompatible="false" ecoreEnum="DesignPatterns.ecore#//ConsequenceKind">
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//ConsequenceKind/Result"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//ConsequenceKind/Tradeoff"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//ConsequenceKind/ImpactOnFlexibility"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//ConsequenceKind/ImpactOnExtensibility"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//ConsequenceKind/ImpactOnPortability"/>
    </genEnums>
    <genEnums xsi:type="genmodel:GenEnum" typeSafeEnumCompatible="false" ecoreEnum="DesignPatterns.ecore#//SafetyLevel">
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//SafetyLevel/SIL0"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//SafetyLevel/SIL1"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//SafetyLevel/SIL2"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//SafetyLevel/SIL3"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//SafetyLevel/SIL4"/>
    </genEnums>
    <genEnums xsi:type="genmodel:GenEnum" typeSafeEnumCompatible="false" ecoreEnum="DesignPatterns.ecore#//Classification">
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//Classification/Creational"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//Classification/Structural"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//Classification/Behavioral"/>
    </genEnums>
    <genEnums xsi:type="genmodel:GenEnum" typeSafeEnumCompatible="false" ecoreEnum="DesignPatterns.ecore#//ReferenceLevel">
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//ReferenceLevel/System"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//ReferenceLevel/Architecture"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//ReferenceLevel/Design"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//ReferenceLevel/Implementation"/>
    </genEnums>
    <genEnums xsi:type="genmodel:GenEnum" typeSafeEnumCompatible="false" ecoreEnum="DesignPatterns.ecore#//ReplicationKind">
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//ReplicationKind/IdenticalReplication"/>
      <genEnumLiterals xsi:type="genmodel:GenEnumLiteral" ecoreEnumLiteral="DesignPatterns.ecore#//ReplicationKind/DiversifiedReplication"/>
    </genEnums>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//Context">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Context/applicability"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Context/base_Class"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute DesignPatterns.ecore#//Context/precondition"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute DesignPatterns.ecore#//Context/motivation"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//Applicability">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Applicability/base_Comment"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//Intent">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Intent/description"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Intent/base_Comment"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//SolutionDesc">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//SolutionDesc/base_Comment"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//Problem">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Problem/kind"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Problem/base_Comment"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//ProblemKind">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//ProblemKind/base_Class"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//Solution">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Solution/consequence"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Solution/sampleCode"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Solution/base_Package"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute DesignPatterns.ecore#//Solution/safetyLevel"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Solution/description"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//Consequence">
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute DesignPatterns.ecore#//Consequence/conseqKind"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Consequence/base_Comment"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//SampleCode">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//SampleCode/base_Class"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//Pattern">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Pattern/knownUse"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Pattern/applicability"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Pattern/relatedPattern"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="Readonly" notify="false"
          createChild="false" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Pattern/intent"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="Readonly" notify="false"
          createChild="false" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Pattern/problem"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="Readonly" notify="false"
          createChild="false" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Pattern/context"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Pattern/base_Package"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="Readonly" notify="false"
          createChild="false" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Pattern/solutions"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute DesignPatterns.ecore#//Pattern/classification"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute DesignPatterns.ecore#//Pattern/level"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//KnownUse">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//KnownUse/base_Comment"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//Replication">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Replication/base_Constraint"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute DesignPatterns.ecore#//Replication/kind"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute DesignPatterns.ecore#//Replication/initialNumberOfReplicas"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute DesignPatterns.ecore#//Replication/minNumberOfReplicas"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//Replication/base_Property"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//AutomaticBinding">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//AutomaticBinding/base_Property"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//PatternApplication">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//PatternApplication/base_CollaborationUse"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute DesignPatterns.ecore#//PatternApplication/date"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute DesignPatterns.ecore#//PatternApplication/user"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//PatternApplication/base_Class"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="DesignPatterns.ecore#//PatternSystem">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference DesignPatterns.ecore#//PatternSystem/base_Package"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
